Base.named_scope deprecated in rails3 #120

Closed
tecnobrat opened this Issue Mar 29, 2010 · 5 comments

Comments

Projects
None yet
5 participants

Base.named_scope has been deprecated .. should be changed to Base.scope instead

DEPRECATION WARNING: Base.named_scope has been deprecated, please use Base.scope instead. (called from block in included at /home/brian/.rvm/gems/ruby-1.9.1-p378@rails3/bundler/gems/authlogic-616f4e3cab847292be895b9e8ff207d9be1926ab-master/lib/authlogic/acts_as_authentic/logged_in_status.rb:35)
DEPRECATION WARNING: Base.named_scope has been deprecated, please use Base.scope instead. (called from block in included at /home/brian/.rvm/gems/ruby-1.9.1-p378@rails3/bundler/gems/authlogic-616f4e3cab847292be895b9e8ff207d9be1926ab-master/lib/authlogic/acts_as_authentic/logged_in_status.rb:36)

schof commented Jun 24, 2010

Noticed someone had fixed this already in their fork.

It would be great if this patch could be merged into the authlogic gem

schof commented Sep 26, 2010

I added a rails 2.3.x compatible version of the patch and created a pull request

2case commented Nov 11, 2010

can we fix this now? all rails projects produce tons of deprecate warnings with authlogic. since rails3 is out some time ago, i think its time to take a look at this!

This has been solved in v3.0.2. I had the same issue, but not after upgrading to v3.0.2 (which only works for Rails3).

tecnobrat closed this May 17, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment